# TODO, maybe some day:
# - livebuffer patch, http://www.vdr-portal.de/board/thread.php?threadid=37309
# - channelfilter patch, http://www.u32.de/vdr.html#patches
# - more rofa's patches, http://www.saunalahti.fi/~rahrenbe/vdr/patches/
# - pause patch (causes OSD placement issues at least with unrebuilt text2skin)
#   http://www.tolleri.net/vdr/vdr/vdr-1.6.0-2-pause-0.0.1.patch
#   http://thread.gmane.org/gmane.linux.vdr/40188

%bcond_with       docs
%bcond_with       plugins

%global varbase   %{_var}/lib/vdr
%global videodir  %{varbase}/video
%global vardir    %{varbase}/data
%global plugindir %{_libdir}/vdr
%global configdir %{_sysconfdir}/vdr
%global datadir   %{_datadir}/vdr
%global cachedir  %{_var}/cache/vdr
%global rundir    %{_var}/run/vdr
%global vdr_user  vdr
%global vdr_group video
# From APIVERSION in config.h
%global apiver    1.6.0

Name:           vdr
Version:        1.6.0
Release:        39%{?dist}
Summary:        Video Disk Recorder

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://www.tvdr.de/
Source0:        ftp://ftp.tvdr.de/vdr/%{name}-%{version}.tar.bz2
Source1:        %{name}.init
Source2:        %{name}.sysconfig
Source3:        %{name}.sudoers
# TODO
Source4:        %{name}-udev.rules
Source5:        %{name}-reccmds.conf
Source6:        %{name}-commands.conf
Source7:        %{name}-runvdr.sh
Source9:        %{name}-config.sh
Source10:       %{name}-README.package
Source11:       %{name}-skincurses.conf
Source12:       %{name}-sky.conf
Source13:       %{name}-timercmds.conf
Source14:       %{name}-shutdown.sh
Source15:       %{name}-moveto.sh
Source16:       %{name}-CHANGES.package.old
Patch0:         %{name}-channel+epg.patch
# TODO
Patch1:         http://zap.tartarus.org/~ds/debian/dists/stable/main/source/vdr_1.4.5-2.ds.diff.gz
Patch2:         http://www.saunalahti.fi/~rahrenbe/vdr/patches/vdr-1.6.0-liemikuutio-1.27.diff.gz
Patch3:         %{name}-1.6.0-scriptnames.patch
Patch4:         %{name}-1.6.0-paths.patch
Patch5:         %{name}-1.5.18-use-pkgconfig.patch
# http://article.gmane.org/gmane.linux.vdr/36097
Patch6:         %{name}-1.5.18-syncearly.patch
# http://projects.vdr-developer.org/repositories/entry/plg-ttxtsubs/patches/vdr-1.6.0-2-ttxtsubs.patch?format=raw
Patch7:         %{name}-1.6.0-2-ttxtsubs.patch
Patch8:         %{name}-1.6.0-man-section.patch
# http://www.udo-richter.de/vdr/patches.en.html#hlcutter
Patch9:         http://www.udo-richter.de/vdr/files/vdr-1.5.13-hlcutter-0.2.2.diff
# Sent to hlcutter upstream 2009-06-15
Patch10:        %{name}-1.6.0-hlcutter-0.2.2-finnish.patch
# http://article.gmane.org/gmane.linux.vdr/43590
Patch11:        MainMenuHooks-v1_0_1.diff.gz
# timercmd and progressbar-support from
# http://winni.vdr-developer.org/epgsearch/downloads/vdr-epgsearch-0.9.24.tgz
Patch12:        timercmd-0.1_1.6.0.diff
Patch13:        %{name}-1.5.17-progressbar-support-0.0.1.diff
Patch14:        %{name}-1.6.0-includes+pkgconfig.patch
Patch15:        %{name}-1.6.0-fedora-pkgconfig.patch
Patch16:        %{name}-1.6.0-dxr3-subtitles.patch
Patch17:        http://toms-cafe.de/vdr/download/vdr-timer-info-0.5-1.5.15.diff
Patch18:        ftp://ftp.tvdr.de/vdr/Developer/vdr-1.6.0-1.diff
Patch19:        ftp://ftp.tvdr.de/vdr/Developer/vdr-1.6.0-2.diff
Patch20:        %{name}-1.6.0-remove-dvb-abi-check.patch
Patch21:        http://www.saunalahti.fi/~rahrenbe/vdr/patches/vdr-1.6.0-subtitles-button.patch.gz
Patch22:        http://www.saunalahti.fi/~rahrenbe/vdr/patches/vdr-1.6.0-cap_sys_nice.patch.gz
Patch23:        http://www.saunalahti.fi/~rahrenbe/vdr/patches/vdr-1.6.0-ionice.patch.gz
# From openSUSE's vdr-1.6.0-62.3, to fix build with gcc 4.4:
# http://download.opensuse.org/repositories/vdr/
Patch24:        %{name}-1.6.0-const.diff
Patch25:        http://toms-cafe.de/vdr/download/vdr-jumpplay-1.0-1.6.0.diff
Patch26:        %{name}-jumpplay-1.0-1.6.0-finnish.patch
# http://projects.vdr-developer.org/git/?p=vdr-plugin-epgsearch.git;a=blob;f=patches/vdr.epgsearch-exttimeredit-0.0.2.diff
# Modified so that it applies on top of our other patches
Patch27:        %{name}-1.6.0-epgsearch-exttimeredit-0.0.2.diff
# https://bugzilla.redhat.com/show_bug.cgi?id=538604, upstreamed 2009-11-22
Patch28:        %{name}-1.6.0-sky-lirc-device.patch
Patch29:        %{name}-1.6.0-msgidbugs.patch
# Backport from VDR 1.7.x
Patch30:        %{name}-1.6.0-v4l2.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libjpeg-devel
BuildRequires:  libcap-devel
BuildRequires:  pkgconfig
BuildRequires:  perl(File::Spec)
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  gettext
%if %{with docs}
BuildRequires:  doxygen
BuildRequires:  graphviz
%endif # docs
# udev >= 136-1 for the audio, cdrom, dialout, and video groups
Requires:       udev >= 136-1
# sudo for the shutdown script, >= 1.7.2p2-3 for sudoers.d functionality
Requires:       sudo >= 1.7.2p2-3
# util-linux >= 2.15 for "rtcwake -m no" timer driven wakeups
Requires:       util-linux >= 2.15
# shadow-utils >= 4.1.1 for useradd -N
Requires(pre):  shadow-utils >= 2:4.1.1
Requires(post): /sbin/chkconfig
Requires(post): shadow-utils
Requires(preun): /sbin/chkconfig
Provides:       vdr(abi)%{?_isa} = %{apiver}
%if "%{?_isa}" != ""
# Deprecated backwards compatibility, plugins should depend on vdr(abi)%{?_isa}
Provides:       vdr(abi) = %{apiver}
%endif
Obsoletes:      vdr-subtitles <= 0.5.0

%description
VDR implements a complete digital set-top-box and video recorder.
It can work with signals received from satellites (DVB-S) as well as
cable (DVB-C) and terrestrial (DVB-T) signals.  At least one DVB card
is required to run VDR.

%package        devel
Summary:        Development files for VDR
Group:          Development/Libraries
Requires:       pkgconfig
Requires:       gettext
Provides:       vdr-devel(api) = %{apiver}

%description    devel
%{summary}.

%package        docs
Summary:        Developer documentation for VDR
Group:          Documentation
%if 0%{?fedora} > 9 || 0%{?rhel} > 5
BuildArch:      noarch
%endif

%description    docs
%{summary}.

%package        skincurses
Summary:        Shell window skin plugin for VDR
Group:          Applications/Multimedia
%if %{with plugins}
BuildRequires:  ncurses-devel
%endif # plugins
Requires:       vdr(abi)%{?_isa} = %{apiver}

%description    skincurses
The skincurses plugin implements a VDR skin that works in a shell
window, using only plain text output.

%package        sky
Summary:        Sky Digibox plugin for VDR
Group:          Applications/Multimedia
Requires:       vdr(abi)%{?_isa} = %{apiver}
Requires:       wget
Requires:       /usr/bin/logger

%description    sky
The sky plugin implements a new device for VDR, which is based on the
MPEG2 encoder card described at linuxtv.org/mpeg2/kfir.xml.  It allows
you to connect the analog a/v output of your Sky Digibox to VDR, so
that you can enjoy the full recording flexibility of VDR with your Sky
subscription.  You will need a Sky Digibox and a valid subscription in
order to use this plugin.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
# TODO: does not apply
#patch -F 0 -i debian/patches/02_plugin_missing.dpatch
# sort_options would be nice, but it conflicts with channel+epg which is nicer
#patch -F 0 -i debian/patches/02_sort_options.dpatch
patch -F 0 -i debian/patches/06_recording_scan_speedup.dpatch
patch -F 2 -i debian/patches/07_blockify_define.dpatch
patch -F 0 -i debian/patches/10_livelock.dpatch
patch -F 0 -i debian/patches/11_atsc.dpatch
echo "DEFINES += -DHAVE_ATSC" >> Makefile
patch -F 0 -i debian/patches/19_debian_osdbase_maxitems.dpatch
%patch2 -p1
%patch3 -p1
sed \
  -e 's|__CACHEDIR__|%{cachedir}|'   \
  -e 's|__CONFIGDIR__|%{configdir}|' \
  -e 's|__PLUGINDIR__|%{plugindir}|' \
  -e 's|__VARDIR__|%{vardir}|'       \
  -e 's|__VIDEODIR__|%{videodir}|'   \
  %{PATCH4} | patch -p1 -F 1
%patch5 -p1
%patch6 -p0
%patch7 -p1
%patch8 -p1
# fuzz=3 so it applies on top of liemikuutio patch (menu.c)
%patch9 -p0 -F 3
%patch10 -p1
%patch11 -p1 -F 2
# timer-info patch needs to come before timercmd patch to avoid conflicts
%patch17 -p1
%patch12 -p1 -F 2
%patch13 -p1
%patch14 -p0 -F 2
%patch15 -p0
%patch16 -p0
%patch18 -p1
%patch19 -p1
%patch20 -p0
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1 -F 2
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1

for f in CONTRIBUTORS HISTORY* UPDATE-1.4.0 README.{jumpplay,timer-info} ; do
  iconv -f iso-8859-1 -t utf-8 -o $f.utf8 $f && mv $f.utf8 $f
done

sed -i -e 's|/dev/lircd\b|%{_localstatedir}/run/lirc/lircd|' vdr.1

cp -p %{SOURCE5} reccmds.conf
cp -p %{SOURCE13} timercmds.conf
cp -p %{SOURCE6} commands.conf
# Unfortunately these can't have comments in them, so ship 'em empty.
cat /dev/null > channels.conf
cat /dev/null > remote.conf
cat /dev/null > setup.conf
cat /dev/null > timers.conf

install -pm 644 %{SOURCE10} README.package
install -pm 644 %{SOURCE16} CHANGES.package.old

# Would like to do "files {channels,setup,timers}.conf" from config dir
# only, but rename() in cSafeFile barks "device or resource busy", cf.
# http://lists.suse.com/archive/suse-programming-e/2003-Mar/0051.html
cat << EOF > %{name}.rwtab
dirs    %{cachedir}
files   %{configdir}
files   %{vardir}
EOF

# Disable some graphs that end up too big to be useful.
for g in COLLABORATION INCLUDE INCLUDED_BY ; do
    sed -i -e 's/^\(\s*'$g'_GRAPH\s*=\s*\).*/\1NO/' Doxyfile
done


%build

cat << EOF > Make.config
CC           = %{__cc}
CXX          = %{__cxx}

ifeq (\$(RPM_OPT_FLAGS),)
  CFLAGS     = $RPM_OPT_FLAGS
  CXXFLAGS   = $RPM_OPT_FLAGS -Wall -Woverloaded-virtual -Wno-parentheses
else
  CFLAGS     = \$(RPM_OPT_FLAGS)
  CXXFLAGS   = \$(RPM_OPT_FLAGS) -Wall -Woverloaded-virtual -Wno-parentheses
endif
ifdef PLUGIN
  CFLAGS    += -fPIC
  CXXFLAGS  += -fPIC
endif

MANDIR       = %{_mandir}
BINDIR       = %{_sbindir}

LOCDIR       = \$(shell pkg-config vdr --variable=localedir)
PLUGINLIBDIR = \$(shell pkg-config vdr --variable=plugindir)
VIDEODIR     = \$(shell pkg-config vdr --variable=videodir)
CONFDIR      = \$(shell pkg-config vdr --variable=configdir)
INCLUDEDIR   = \$(shell pkg-config vdr --variable=includedir)
LIBDIR       = \$(PLUGINLIBDIR)

LIRC_DEVICE  = %{_localstatedir}/run/lirc/lircd
VDR_USER     = %{vdr_user}
EOF

make %{?_smp_mflags} vdr vdr.pc include-dir \
    BINDIR=%{_sbindir} INCLUDEDIR=%{_includedir} CONFDIR=%{configdir} \
    VIDEODIR=%{videodir} PLUGINLIBDIR=%{plugindir} LOCDIR=%{_datadir}/locale \
    DATADIR=%{datadir} CACHEDIR=%{cachedir} \
    RUNDIR=%{rundir} VARDIR=%{vardir} VDR_GROUP=%{vdr_group}

make %{?_smp_mflags} i18n LOCALEDIR=./locale

%if %{with docs}
make %{?_smp_mflags} srcdoc
find srcdoc -type f -size 0 -delete
%endif # docs

%if %{with plugins}
make %{?_smp_mflags} -C PLUGINS/src/skincurses LIBDIR=. all
make %{?_smp_mflags} -C PLUGINS/src/sky        LIBDIR=. all
%endif # plugins


%install
rm -rf $RPM_BUILD_ROOT

abs2rel() { perl -MFile::Spec -e 'print File::Spec->abs2rel(@ARGV)' "$@" ; }

install -Dpm 755 vdr $RPM_BUILD_ROOT%{_sbindir}/vdr

install -dm 755 $RPM_BUILD_ROOT%{_bindir}
install -pm 755 svdrpsend.pl $RPM_BUILD_ROOT%{_bindir}/svdrpsend
install -pm 755 epg2html.pl $RPM_BUILD_ROOT%{_bindir}/epg2html

make install-pc DESTDIR=$RPM_BUILD_ROOT
PKG_CONFIG_PATH=$RPM_BUILD_ROOT%{_libdir}/pkgconfig \
make install-i18n install-includes install-doc DESTDIR=$RPM_BUILD_ROOT

install -dm 755 $RPM_BUILD_ROOT%{configdir}/plugins
install -pm 644 *.conf $RPM_BUILD_ROOT%{configdir}

install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr-plugins.d

install -dm 755 $RPM_BUILD_ROOT%{vardir}/themes
touch $RPM_BUILD_ROOT%{vardir}/themes/{classic,sttng}-default.theme

install -Dpm 755 %{SOURCE1} $RPM_BUILD_ROOT%{_initddir}/vdr
sed -i \
  -e 's|/usr/sbin/|%{_sbindir}/|'  \
  -e 's|/etc/vdr/|%{configdir}/|g' \
  -e 's|VDR_USER|%{vdr_user}|'     \
  -e 's|VDR_GROUP|%{vdr_group}|'   \
  $RPM_BUILD_ROOT%{_initddir}/vdr

install -pm 755 %{SOURCE7} $RPM_BUILD_ROOT%{_sbindir}/runvdr
sed -i \
  -e 's|/usr/sbin/|%{_sbindir}/|'                    \
  -e 's|/etc/sysconfig/|%{_sysconfdir}/sysconfig/|g' \
  -e 's|/usr/lib/vdr\b|%{plugindir}|'                \
  -e 's|/var/run/vdr/|%{rundir}/|'                   \
  -e 's|VDR_PLUGIN_VERSION|%{apiver}|'               \
  $RPM_BUILD_ROOT%{_sbindir}/runvdr

install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
sed -e 's|/usr/lib/vdr/|%{plugindir}/|' < %{SOURCE2} \
  > $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr
chmod 644 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr

install -dm 755 $RPM_BUILD_ROOT%{videodir}

touch $RPM_BUILD_ROOT%{videodir}/.update

install -dm 755 $RPM_BUILD_ROOT%{plugindir}/bin
sed -e 's|/etc/sysconfig/|%{_sysconfdir}/sysconfig/|' \
  -e 's|/var/run/vdr/|%{rundir}/|' < %{SOURCE14} \
  > $RPM_BUILD_ROOT%{plugindir}/bin/%{name}-shutdown.sh
chmod 755 $RPM_BUILD_ROOT%{plugindir}/bin/%{name}-shutdown.sh
sed -e 's|/var/lib/vdr/video|%{videodir}|' -e 's|/etc/vdr/|%{configdir}/|' \
  < %{SOURCE15} > $RPM_BUILD_ROOT%{plugindir}/bin/%{name}-moveto.sh
chmod 755 $RPM_BUILD_ROOT%{plugindir}/bin/%{name}-moveto.sh

install -Dpm 440 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/sudoers.d/vdr

install -dm 755 $RPM_BUILD_ROOT%{cachedir}
touch $RPM_BUILD_ROOT%{cachedir}/epg.data
install -dm 755 $RPM_BUILD_ROOT%{datadir}/logos
install -dm 755 $RPM_BUILD_ROOT%{rundir}
touch $RPM_BUILD_ROOT%{rundir}/next-timer
install -dm 755 $RPM_BUILD_ROOT%{vardir}

install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d
sed -e 's/VDR_GROUP/%{vdr_group}/' < %{SOURCE4} \
  > $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/51-%{name}.rules
chmod 644 $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/*-%{name}.rules

install -Dpm 644 %{name}.rwtab $RPM_BUILD_ROOT%{_sysconfdir}/rwtab.d/%{name}

# devel
install -pm 755 %{SOURCE9} $RPM_BUILD_ROOT%{_bindir}/vdr-config
install -pm 755 i18n-to-gettext.pl \
  $RPM_BUILD_ROOT%{_bindir}/vdr-i18n-to-gettext
install -pm 755 newplugin $RPM_BUILD_ROOT%{_bindir}/vdr-newplugin
install -pm 644 Make.config $RPM_BUILD_ROOT%{_libdir}/vdr
ln -s $(abs2rel %{_includedir}/vdr/config.h %{_libdir}/vdr) \
  $RPM_BUILD_ROOT%{_libdir}/vdr

# i18n
%find_lang %{name}
sed -i -e '1i%%defattr(-,root,root,-)' %{name}.lang

%if 0%{?fedora} > 14 || 0%{?rhel} > 6
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/tmpfiles.d
echo "D %{rundir} 0755 %{vdr_user} root -" \
  > $RPM_BUILD_ROOT%{_sysconfdir}/tmpfiles.d/%{name}.conf
echo "%%config(noreplace) %{_sysconfdir}/tmpfiles.d/%{name}.conf" \
  >> %{name}.lang
%endif

# plugins
%if %{with plugins}
install -pm 755 PLUGINS/src/skincurses/libvdr-skincurses.so.%{apiver} \
  $RPM_BUILD_ROOT%{plugindir}
install -pm 644 %{SOURCE11} \
  $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr-plugins.d/skincurses.conf
%find_lang %{name}-skincurses
sed -i -e '1i%%defattr(-,root,root,-)' %{name}-skincurses.lang

install -pm 755 PLUGINS/src/sky/libvdr-sky.so.%{apiver} \
  $RPM_BUILD_ROOT%{plugindir}
install -pm 644 %{SOURCE12} \
  $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr-plugins.d/sky.conf
install -pm 755 PLUGINS/src/sky/getskyepg.pl \
  $RPM_BUILD_ROOT%{_bindir}/getskyepg
install -Dpm 644 PLUGINS/src/sky/channels.conf.sky \
  $RPM_BUILD_ROOT%{configdir}/plugins/sky/channels.conf.sky
%endif # plugins


%check
export PKG_CONFIG_PATH=$RPM_BUILD_ROOT%{_libdir}/pkgconfig
if [ "$(pkg-config vdr --variable=apiversion)" != "%{apiver}" ] ; then
    echo "ERROR: API version mismatch in vdr.pc / package / config.h" ; exit 1
fi


%clean
rm -rf $RPM_BUILD_ROOT


%pre
getent passwd %{vdr_user} >/dev/null || \
useradd -r -g %{vdr_group} -d %{vardir} -s /sbin/nologin -M -N \
    -c "Video Disk Recorder" %{vdr_user}
:

%post
usermod -a -G audio,cdrom,dialout %{vdr_user}
/sbin/chkconfig --add vdr
:

%preun
if [ $1 -eq 0 ] ; then
    %{_initddir}/vdr stop >/dev/null 2>&1
    /sbin/chkconfig --del vdr
fi
:

%postun
[ $1 -gt 0 ] && %{_initddir}/vdr try-restart >/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc CONTRIBUTORS COPYING HISTORY* INSTALL MANUAL README* UPDATE-1.?.0
%doc CHANGES.package.old
%config(noreplace) %{_sysconfdir}/sudoers.d/vdr
%config(noreplace) %{_sysconfdir}/sysconfig/vdr
%config(noreplace) %{_sysconfdir}/udev/rules.d/*-%{name}.rules
%config(noreplace) %{_sysconfdir}/rwtab.d/%{name}
%config %dir %{_sysconfdir}/sysconfig/vdr-plugins.d/
%{_initddir}/vdr
%{_bindir}/epg2html
%{_bindir}/svdrpsend
%{_sbindir}/runvdr
%{_sbindir}/vdr
%dir %{plugindir}/
%dir %{plugindir}/bin/
%{plugindir}/bin/%{name}-moveto.sh
%{plugindir}/bin/%{name}-shutdown.sh
%{datadir}/
%{_mandir}/man[58]/vdr.[58]*
%dir %{varbase}/
%defattr(-,%{vdr_user},%{vdr_group},-)
# TODO: tighten ownerships to root:root for some files in %{configdir}
%config(noreplace) %{configdir}/*.conf
%dir %{videodir}/
%ghost %{videodir}/.update
%ghost %{vardir}/themes/*.theme
%ghost %{cachedir}/epg.data
%defattr(-,%{vdr_user},root,-)
%dir %{configdir}/
%dir %{configdir}/plugins/
%dir %{rundir}/
%ghost %{rundir}/next-timer
%dir %{vardir}/
%dir %{vardir}/themes/
%dir %{cachedir}/

%files devel
%defattr(-,root,root,-)
%doc COPYING
%if ! %{with docs}
%doc PLUGINS.html
%endif # docs
%{_bindir}/vdr-config
%{_bindir}/vdr-i18n-to-gettext
%{_bindir}/vdr-newplugin
%{_includedir}/libsi/
%{_includedir}/vdr/
%{_libdir}/pkgconfig/vdr.pc
%dir %{_libdir}/vdr/
%{_libdir}/vdr/Make.config
%{_libdir}/vdr/config.h

%if %{with docs}
%files docs
%defattr(-,root,root,-)
%doc COPYING PLUGINS.html srcdoc/html/
%endif

%if %{with plugins}
%files skincurses -f %{name}-skincurses.lang
%defattr(-,root,root,-)
%doc PLUGINS/src/skincurses/COPYING PLUGINS/src/skincurses/HISTORY
%doc PLUGINS/src/skincurses/README
%config(noreplace) %{_sysconfdir}/sysconfig/vdr-plugins.d/skincurses.conf
%{plugindir}/libvdr-skincurses.so.%{apiver}

%files sky
%defattr(-,root,root,-)
%doc PLUGINS/src/sky/COPYING PLUGINS/src/sky/HISTORY
%doc PLUGINS/src/sky/README PLUGINS/src/sky/lircd.conf.sky
%{_bindir}/getskyepg
%config(noreplace) %{configdir}/plugins/sky/channels.conf.sky
%config(noreplace) %{_sysconfdir}/sysconfig/vdr-plugins.d/sky.conf
%{plugindir}/libvdr-sky.so.%{apiver}
%endif # plugins

%changelog
* Fri Feb 18 2011 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-39
- Fix writing next wakeup time from shutdown script.

* Wed Feb 16 2011 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-38
- Drop build time support for lirc < 0.8.6 default socket location.
- Resurrect channel+epg patch.
- Use %%{_initddir} instead of the deprecated %%{_initrddir}.
- Set RTC wakeup for next timer also when shutting down from outside of VDR.
- Add tmpfiles.d config on F-15+ (#656717).

* Tue Feb  8 2011 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-37
- Backport V4L2 patch from VDR 1.7.x to fix build with recent kernel headers.

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-36
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov 22 2010 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-35
- Add vdr user to the audio group for direct sound device access with some
  plugin configurations.

* Mon Oct 18 2010 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-34
- Add vdr user to the cdrom (for optical drives) and dialout (for serial port
  remote controls) groups.
- Drop no longer needed pam_console configuration.
- Make vdr-i18n-to-gettext more likely to work out of the box.
- Update MainMenuHooks patch to 1.0.1.
- Update VDR_PLUGIN_ORDER in sysconfig.
- Various minor vdr.pc improvements.

* Thu Jul  8 2010 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-33
- Include COPYING in -docs.

* Tue Apr 27 2010 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-32
- Use rtcwake to set wakeup time, simplify shutdown.
- Drop no longer needed DVB header workaround (#483644).
- Move pre-1.6.0 changelog entries to CHANGES.package.old.

* Sun Mar  7 2010 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-31
- Drop data migration from %%post (was for upgrades from < 1.6.0-15).

* Sun Feb 21 2010 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-30
- Do sudoers config with sudoers.d (sudo >= 1.7.2p2-3).

* Sun Nov 22 2009 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 1.6.0-29
- Set LIRC_DEVICE to /var/run/lirc/lircd for lirc 0.8.6 and add patch to
  change the sky plugin and vdr.1 man page accordingly (#538604).

* Wed Oct 28 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-28
- Update URLs to point to tvdr.de.

* Sun Aug  9 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-27
- Make -docs noarch also when built on EL > 5.

* Sun Jul 26 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-26
- Provide ISA qualified vdr(abi).  Plugins should depend on (versioned)
  vdr(abi)%%{?_isa} instead of just vdr(abi).
- Borrow build patch for recent (broken? #483644) DVB headers from openSUSE.
- Apply epgsearch timer integration patch.
- Use %%global instead of %%define.

* Mon Jun 22 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-25
- Make -docs noarch when built on Fedora > 9.

* Mon Jun 15 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-24
- Update hlcutter patch to 0.2.2, drop no longer needed gcc 4.4 workaround.
- Resurrect Finnish translation for hlcutter.

* Tue Jun  9 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-23
- Apply gcc 4.4 build fix from openSUSE and upstream, hlcutter still needs work.
- Drop no longer needed DVB header workaround.

* Tue May 26 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-22
- Quiet usermod, avoid possible extra -v inserted to /etc/sysconfig/vdr on
  upgrades from earlier releases that used to default to /srv/vdr for video.
- Add jumpplay patch 1.0 and a Finnish translation for it.
- Update liemikuutio patch to 1.27.

* Sat Apr 18 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-21
- Use videodir from /etc/sysconfig/vdr if set in vdr-moveto.sh.

* Tue Apr 14 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-20
- Add ugly workarounds to "fix" build with gcc 4.4 and current DVB headers.
- Use useradd -N instead of -n in scriptlets (#495731).
- Include Rolf Ahrenberg's sys_nice and ionice patches.
- Update liemikuutio patch to 1.25.

* Sat Feb 28 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-19
- Update liemikuutio patch to 1.24 to fix some issues with gcc 4.4.
- Apply Rolf Ahrenberg's patch to include audio and subtitles shortcut
  buttons in DVB setup menu.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 31 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-17
- Do not create the video group, require udev >= 136-1 which creates it.
- Replace ttxtsubs patch with one from new ttxtsubs upstream.
- Update to re-released liemikuutio 1.21 patch.

* Mon Dec 29 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 1.6.0-16
- Disable kernel DVB API check to fix build, upstream VDR 1.6.0 expects DVB
  API v3 but current Rawhide kernels have v5.

* Sun Nov 23 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-15
- Reorganize dir structure for better Fedora guidelines compliance (#443706):
  /var/lib/vdr/* -> /var/lib/vdr/data, /srv/video -> /var/lib/vdr/video.
- Drop audiodir and ownership of /srv/audio, examples still point to it.

* Sat Nov 22 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-8
- Fix setting wakeup time via rtc0 when hardware clock is localtime.
- Drop remote plugin examples from udev rules, they're in vdr-remote now.

* Tue Oct 28 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-7
- Fix setting wakeup time via /proc/acpi/alarm when hardware clock is UTC.

* Thu Sep 25 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-6
- README.package updates.
- Specfile micro-cleanups.

* Sun Sep  7 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-5
- Work around Fedora buildsys not coping with "%%patch -F" (infrastructure
  ticket #817).

* Sun Sep  7 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-4
- Apply upstream 1.6.0-2 maintenance patch.
- Update shutdown/wakeup functionality for F-9+ ACPI wakeup.
- Install halt.local script (vdr-halt.local.sh) instead of embedding it
  in README-package.  It still needs to be inserted to (or installed/symlinked
  as) /sbin/halt.local.
- Convert remaining docs to UTF-8.
- Set expected fuzz factor when applying patches.

* Sat May 10 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-3
- Update liemikuutio patch to 1.21.
- Change timercmd patch to the one shipped with epgsearch 0.9.24.
- Include vdr-i18n-to-gettext in -devel.
- Own (%%ghost) videodir/.update.

* Sun Apr 13 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-2
- Apply upstream 1.6.0-1 maintenance patch.
- Update timer info patch to 0.5 (fixes the "±" sign).

* Mon Apr  7 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-1
- Apply "unofficial" timercmd patch from HoochVDR.
- Apply Luca Olivetti's DXR3 subtitle compatibility patch.
- Decrease default wakeup delay before a timed recording to 10 minutes.
- Don't reload DVB drivers by default on unexpected exits in runvdr.
- Use "kill -HUP" in init script's restart action only on a running service.
- Update and apply timer-info patch.

* Sun Apr  6 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-0.4
- Obsolete vdr-subtitles.

* Fri Apr  4 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-0.3
- Update liemikuutio patch to 1.20.
- Move various (partially) upstreamable changes to patches instead of
  inlining them in the specfile.
- Drop unused logdir.
- Move pre-2008 changelog entries to CHANGES.package.old.

* Sat Mar 29 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-0.2
- Add --with docs build option for building a -docs subpackage.
- Refresh liemikuutio and ttxtsubs patches.

* Sun Mar 23 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-0.1
- 1.6.0 final; still quite a bit to do with the package.
- Adapt sync early and epgsearch (partially) patches.
- Fix dependencies of the sky plugin.
- Move bunch of inline sed'ing to separate patches.
- Use kill -HUP in init script's restart action.
- Don't include bundled plugin sysconfig snippets in main package.
